with GNATCOM.Dispinterface;

package MSHTML.IHTMLOpsProfile_Object is

   type IHTMLOpsProfile_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function addRequest
     (This     : IHTMLOpsProfile_Type;
      name     : GNATCOM.Types.VARIANT;
      reserved : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure clearRequest
     (This : IHTMLOpsProfile_Type);

   procedure doRequest
     (This     : IHTMLOpsProfile_Type;
      usage    : GNATCOM.Types.VARIANT;
      fname    : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      domain   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      path     : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      expire   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      reserved : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True);

   function getAttribute
     (This : IHTMLOpsProfile_Type;
      name : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function setAttribute
     (This  : IHTMLOpsProfile_Type;
      name  : GNATCOM.Types.VARIANT;
      value : GNATCOM.Types.VARIANT;
      prefs : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function commitChanges
     (This : IHTMLOpsProfile_Type)
     return GNATCOM.Types.VARIANT;

   function addReadRequest
     (This     : IHTMLOpsProfile_Type;
      name     : GNATCOM.Types.VARIANT;
      reserved : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure doReadRequest
     (This     : IHTMLOpsProfile_Type;
      usage    : GNATCOM.Types.VARIANT;
      fname    : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      domain   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      path     : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      expire   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      reserved : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True);

   function doWriteRequest
     (This : IHTMLOpsProfile_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLOpsProfile_Object;

